# Class DuplicateRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.request.DuplicateRequestException

All Implemented Interfaces:
  `Serializable`

public class DuplicateRequestException extends RuntimeException
Thrown to indicate a duplicate event request.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateRequestException()`
`DuplicateRequestException(String s)`

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateRequestException

public DuplicateRequestException()

### DuplicateRequestException

public DuplicateRequestException(String s)